## Waffenverbot im Winnerteam mit EZrestrict by Devil 

import es, playerlib
from ezrestrict import ezrestrict

info = es.AddonInfo()
info.name = 'wtrestrict'
info.version = '0.3'
info.url = 'http://addons.eventscripts.com/addons/view/wtrestrict'
info.basename = 'wtrestrict'
info.author = 'Devil'

wt_winner = 0
wt_CT = 0
wt_T = 0
wt_wins = 2							## Anzahl der Runden Vorsprung um Winnerteam zu sein
wt_rest_perm = ['sg550','g3sg1']    ## Waffen die permanet verboten sind
wt_rest_perm_text = ''
wt_rest_wt = ['awp']                ## Waffen die nach wt_wins Runden Vorsprung verboten werden
wt_rest_wt_text = ''
wt_cash_back = 1					## Wenn 1 wird das Geld der verbotenen Waffe beim Kauf zurueckgegeben
wt_weaponlist = {'defuser':'200','flashbang':'200','hegrenade':'300','smokegrenade':'300','glock':'400','usp':'500','p228':'600','deagle':'650','vest':'650','fiveseven':'750','elite':'800','vesthelm':'1000','nvgs':'1250','tmp':'1250','mac10':'1400','mp5navy':'1500','m3':'1700','ump45':'1700','galil':'2000','famas':'2250','p90':'2350','ak47':'2500','scout':'2750','xm1014':'3000','m4a1':'3100','aug':'3500','sg552':'3500','sg550':'4200','awp':'4750','g3sg1':'5000','m249':'5750'}
eventscripts_cmdprefixes = ''

def load():
	global wt_rest_perm, wt_rest_perm_text, wt_rest_wt, wt_rest_wt_text, wt_cash_back, eventscripts_cmdprefixes
	es.set('wtrestrict_ver', '0.3')
	es.makepublic('wtrestrict_ver')
	x = 1
	for weapon in wt_rest_perm:
		weapon = weapon.upper()
		if x == 1: wt_rest_perm_text += weapon
		else: wt_rest_perm_text += ', ' + weapon
		x = (x + 1)
	x = 1
	for weapon in wt_rest_wt:
		weapon = weapon.upper()
		if x == 1: wt_rest_wt_text += weapon
		else: wt_rest_wt_text += ', ' + weapon
		x = (x + 1)
	if wt_cash_back == 1:
		es.format("eventscripts_cmdprefixes", "%1bB", eventscripts_cmdprefixes)

def player_activate(event_var):
	global wt_rest_perm
	int_userid = int(event_var['userid'])
	ezrestrict.restrict(int_userid, wt_rest_perm)

def round_start(event_var):
	global wt_winner, wt_rest_perm, wt_rest_wt, wt_rest_wt_text
	ezrestrict.restrict('@all', wt_rest_perm)
	if wt_winner == 0: ezrestrict.unrestrict('@all', wt_rest_wt)
	if wt_winner == 2:
		ezrestrict.restrict('@t', wt_rest_wt)
		ezrestrict.unrestrict('@ct', wt_rest_wt)
		es.msg('#multi', '#lightgreen ' + wt_rest_wt_text + '#green verbot im T-Team!')
	if wt_winner == 3:
		ezrestrict.restrict('@ct', wt_rest_wt)
		ezrestrict.unrestrict('@t', wt_rest_wt)
		es.msg('#multi', '#lightgreen ' + wt_rest_wt_text + '#green verbot im CT-Team!')

def item_pickup(event_var):
	global wt_winner, wt_rest_perm, wt_rest_perm_text, wt_rest_wt, wt_rest_wt_text
	wt_userid = int(event_var['userid'])
	wt_team = int(event_var['es_userteam'])
	wt_item = event_var['item']
	if wt_team == wt_winner:
		if wt_item in wt_rest_wt:
			es.tell(wt_userid, '#multi', '#lightgreen ' + wt_rest_wt_text + '#green verbot im Winnerteam!')
	if wt_item in wt_rest_perm:
		es.tell(wt_userid, '#multi', '#lightgreen ' + wt_rest_perm_text + '#green ist verboten!')

def round_end(event_var):
	global wt_wins, wt_T, wt_CT, wt_winner
	wt_winner = 0
	wt_check = 0
	wt_roundwin = int(event_var['winner'])
	if wt_roundwin == 2: wt_T = (wt_T + 1)
	if wt_roundwin == 3: wt_CT = (wt_CT + 1)
	if wt_T < wt_CT:
		wt_check = wt_T + wt_wins
		if wt_check <= wt_CT:
			wt_winner = 3
	if wt_CT < wt_T:
		wt_check = wt_CT + wt_wins
		if wt_check <= wt_T:
			wt_winner = 2

def es_client_command(event_var):
	global wt_rest_perm_text, wt_rest_perm, wt_rest_wt_text, wt_rest_wt, wt_weaponlist, wt_cash_back
	if wt_cash_back == 1:
		wt_cc_command = event_var['command'].lower()
		if wt_cc_command == 'buy':
			wt_cc_wp = event_var['commandstring'].lower()
			if wt_cc_wp in wt_rest_perm:
				wt_cc_userid = int(event_var['userid'])
				wt_cc_user = playerlib.getPlayer(wt_cc_userid)
				wt_cc_cash = wt_cc_user.get('cash')
				wt_cc_price = int(wt_weaponlist[wt_cc_wp])
				wt_cc_cash_new = (wt_cc_cash + wt_cc_price)
				wt_cc_user.set('cash',wt_cc_cash_new)
				es.tell(wt_cc_userid, '#multi', '#lightgreen ' + wt_rest_perm_text + '#green ist verboten!')
			if wt_cc_wp in wt_rest_wt:
				wt_cc_userid = int(event_var['userid'])
				wt_cc_user = playerlib.getPlayer(wt_cc_userid)
				wt_cc_cash = wt_cc_user.get('cash')
				wt_cc_price = int(wt_weaponlist[wt_cc_wp])
				wt_cc_cash_new = (wt_cc_cash + wt_cc_price)
				wt_cc_user.set('cash',wt_cc_cash_new)
				es.tell(wt_cc_userid, '#multi', '#lightgreen ' + wt_rest_wt_text + '#green verbot im Winnerteam!')

def game_start(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0

def game_newmap(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0
	
def es_map_start(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0
	
def server_spawn(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0
